all:
	$(MAKE) dylan
	cp CompteRendu.pdf CompteRendu-dylan.pdf
	$(MAKE) samy
	cp CompteRendu.pdf CompteRendu-samy.pdf
	$(MAKE) victor
	cp CompteRendu.pdf CompteRendu-victor.pdf

dylan:
	sed 's/\\setcounter{cqd}{[0-9]}/\\setcounter{cqd}{1}/' -i CompteRendu.tex
	$(MAKE) build
samy:
	sed 's/\\setcounter{cqd}{[0-9]}/\\setcounter{cqd}{2}/' -i CompteRendu.tex
	$(MAKE) build
victor:
	sed 's/\\setcounter{cqd}{[0-9]}/\\setcounter{cqd}{3}/' -i CompteRendu.tex
	$(MAKE) build
build:
	pdflatex -synctex=1 -shell-escape -interaction=nonstopmode "CompteRendu".tex
